This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 11704 - nfs server alters the options specified in /etc/exports
nfs server alters the options specified in /etc/exports
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-27 02:28 EDT by infotech
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 18:39:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description infotech 2000-05-27 02:28:08 EDT
The nfs server does not honor what specified in /etc/exports.

For instance, I specified
/ 192.168.1.3 (rw,no_root_squash,insecure)

The nfs altered it, and when I typed "exportfs -v", I got:
/ 192.168.1.3 (ro,root_squash,secure)

Consequentially, on a remote host in the network, I was not able to mount
the nfs file system.
Comment 1 Cristian Gafton 2000-08-08 22:34:04 EDT
assigned to johnsonm
Comment 2 Pete Zaitcev 2002-10-08 19:39:30 EDT
Was there a space between the host name and the opening parenthesis
for the control list?
Comment 3 Alan Cox 2002-12-14 18:39:56 EST
Assuming there was a space

Note You need to log in before you can comment on or make changes to this bug.